#include <I2CRelay.h>

I2CRelay relay;

void setup() {
    Serial.begin(115200);
    relay.begin();
    Serial.println("8-Relay I2C Master Ready.");
    Serial.println("Commands:");
    Serial.println("  r <n> <0|1>          - Set relay n (1-8) OFF/ON");
    Serial.println("  all <0|1>            - Set all relays OFF/ON");
    Serial.println("  name <newname>       - Set device name");
    Serial.println("  addr <newaddr>       - Set I2C address (8-119)");
    Serial.println("  id                   - Query identification string");
}

void loop() {
    if (Serial.available()) {
        String cmd = Serial.readStringUntil('\n');
        cmd.trim();
        relay.handleSerialCommand(cmd);
    }
}
